Skip to main content
`Ctrl`+`K`

# PetscRegisterFinalize

Registers a function that is to be called in `PetscFinalize()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRegisterFinalize(PetscErrorCode (*f)(void))

Not Collective

## Input Parameter

- f - function to be called

## Notes

This is used by, for example, `DMInitializePackage()` to have `DMFinalizePackage()` called

Use `PetscObjectRegisterDestroy()` to register the destruction of an object in `PetscFinalize()`

## See Also

`PetscRegisterFinalizeAll()`, `PetscObjectRegisterDestroy()`

## Level

developer

## Location

src/sys/objects/destroy.c

## Examples

src/ml/da/tutorials/ex3.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages